# modprobe – Load or unload kernel modules

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Load or unload kernel modules.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | Name of kernel module to manage.
params - | Default: "" | Modules parameters.

state
-

Choices:
- absent
- present ←

Whether the module should be present or absent.

## Examples

    - name: Add the 802.1q module
      modprobe:
        name: 8021q
        state: present

    - name: Add the dummy module
      modprobe:
        name: dummy
        state: present
        params: 'numdummies=2'

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- David Stygstra (@stygstra)
- Julien Dauphant (@jdauphant)
- Matt Jeffery (@mattjeffery)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.